import React, { useState, useEffect } from 'react';

var styles = {"stackoverflow":"_hoE1G","so_card":"_1XDSG","so_logo":"_1DGYs","so_profile_picture_container":"_g2F3k","so_display_name":"_2LZE4","so_content":"_17TGu","so_header":"_XiUXG","so_footer":"_3bXwb","so_reputation":"_1ei59","so_reputation_label":"_3eTDm","so_badges_label":"_3HuIe","so_badge":"_1XzZn","so_badge_wrapper":"_13BUg","so_badge_gold":"_SM3k0","gold":"_1yW4Y","so_badge_silver":"_1nB55","silver":"_q0fqh","so_badge_bronze":"_1UQA6","bronze":"_2HgWt","so_profile_link":"_36zWm"};

var StackOverflowProfile = function StackOverflowProfile(_ref) {
  var id = _ref.id,
      containerStyle = _ref.containerStyle;

  var _useState = useState({}),
      profile = _useState[0],
      setProfile = _useState[1];

  var _useState2 = useState(true),
      loading = _useState2[0],
      setLoading = _useState2[1];

  console.log(profile.profile_image);
  useEffect(function () {
    fetch("https://api.stackexchange.com/2.2/users/" + id + "?site=stackoverflow").then(function (response) {
      return response.json();
    }).then(function (data) {
      var so = data.items && data.items[0];
      console.log(so);
      setProfile(so);
      setLoading(false);
    });
  }, []);
  return /*#__PURE__*/React.createElement("div", {
    className: styles.stackoverflow
  }, loading ? /*#__PURE__*/React.createElement("div", {
    className: styles.so_card,
    style: containerStyle
  }, "Loading") : /*#__PURE__*/React.createElement("div", {
    className: styles.so_card,
    style: containerStyle
  }, /*#__PURE__*/React.createElement("a", {
    href: profile.link,
    target: "_blank",
    className: styles.so_profile_link
  }), /*#__PURE__*/React.createElement("div", {
    className: styles.so_header
  }, /*#__PURE__*/React.createElement("span", {
    className: styles.so_logo
  }, /*#__PURE__*/React.createElement("img", {
    src: 'http://cdn.sstatic.net/stackexchange/img/logos/so/so-icon.png',
    alt: "Stackoverflow"
  })), /*#__PURE__*/React.createElement("div", {
    className: styles.so_profile_picture_container
  }, /*#__PURE__*/React.createElement("img", {
    src: profile.profile_image,
    alt: profile.display_name
  })), /*#__PURE__*/React.createElement("h4", {
    className: styles.so_display_name
  }, profile.display_name)), /*#__PURE__*/React.createElement("div", {
    className: styles.so_content
  }, /*#__PURE__*/React.createElement("p", {
    className: styles.so_reputation
  }, profile.reputation), /*#__PURE__*/React.createElement("small", {
    className: styles.so_reputation_label
  }, "Stackoverflow reputation")), /*#__PURE__*/React.createElement("div", {
    className: styles.so_footer
  }, /*#__PURE__*/React.createElement("span", {
    className: styles.so_badges_label
  }, "Badges"), /*#__PURE__*/React.createElement("span", {
    className: styles.so_badge_wrapper
  }, /*#__PURE__*/React.createElement("span", {
    className: styles.so_badge + " " + styles.so_badge_gold
  }), /*#__PURE__*/React.createElement("span", {
    className: styles.gold
  }, profile.badge_counts.gold)), /*#__PURE__*/React.createElement("span", {
    className: styles.so_badge_wrapper
  }, /*#__PURE__*/React.createElement("span", {
    className: styles.so_badge + " " + styles.so_badge_silver
  }), /*#__PURE__*/React.createElement("span", {
    className: styles.silver
  }, profile.badge_counts.silver)), /*#__PURE__*/React.createElement("span", {
    className: styles.so_badge_wrapper
  }, /*#__PURE__*/React.createElement("span", {
    className: styles.so_badge + " " + styles.so_badge_bronze
  }), /*#__PURE__*/React.createElement("span", {
    className: styles.bronze
  }, profile.badge_counts.bronze)))));
};

export { StackOverflowProfile };
//# sourceMappingURL=index.modern.js.map
